'''
Created on 04.05.2010

@author: hedger
'''

from encodings import cp866, utf_8, cp1251 # for py2exe  
import sys
import logging
#from numpy import *
import numpy  

from classes import * # Criteria, Project, buildPreference

logging.basicConfig(level=logging.INFO)
log = logging.getLogger('Main')

if __name__ == '__main__':
    fprefix = ''
    if len(sys.argv) > 1: 
        log.info("Using data files for case '%s'" % sys.argv[1])
        fprefix = sys.argv[1] + '-'
    criteriaList = []
    projectList = []

    criteriaFile = open('%scriteria.txt' % fprefix)
    for line in criteriaFile:
        line = line[:-1]
        try:
            criteriaList.append(Criteria.createFromString(line))
        except Exception as (errno, errmsg):
            print "Error while parsing Criteria line %s: %s" % (line, errmsg) 
    criteriaFile.close()
    
    projFile = open('%sproject.txt' % fprefix)
    for line in projFile:
        line = line[:-1]
        try:
            projectList.append(Project.createFromString(line, criteriaList))
        except Exception as (errno, errmsg):
            print "Error while parsing Project line %s: %s" % (line, errmsg) 
    projFile.close()
    
    # log.info('Criteria list: %s' % criteriaList)
    # log.info('Projects: %s' % projectList)
    
    matr = buildPreference(projectList)
    autocutPrefMatrix(matr, 8, projectList)
    # print graphMatrix(matr, projectList) 

    log.info("Done.")    